# SourcePath: nspr/20190520
Summary: provides a platform-neutral API for system level and libc-like functions
Name: sony-target-dev-nspr
%define pkgname %{sony_tool_triplet}-%{sony_target_dialect}-dev-nspr
Version: 4.21
Release: 14010002
Source: nspr-%{version}.tar.gz
Patch1: nspr-nsinstall.patch
License: MPL v2.0
URL: https://ftp.mozilla.org/pub/nspr/releases/v4.21/src/
Group: %{sony_group}
Distribution: %{sony_distribution}
Vendor: %{sony_vendor}
Packager: %{sony_packager}
BuildRoot: %{_tmppath}/%{name}-root
Prefix: %{sony_target_dir}


%description
Netscape Portable Runtime (NSPR) provides a platform-neutral API
for system level and libc-like functions. The API is used in the
Mozilla clients, many of Red Hat's and Oracle's server applications,
and other software offerings.

# nspr

%package -n %{pkgname}
Summary: compression library - runtime
Group: %{sony_group}
AutoReqProv: no

%description -n %{pkgname}
Netscape Portable Runtime (NSPR) provides a platform-neutral API
for system level and libc-like functions. The API is used in the
Mozilla clients, many of Red Hat's and Oracle's server applications,
and other software offerings.

%prep
%setup -n nspr-%{version}
%patch1 -p1
mv nspr/* .
%build
%sony_target_dev_setup
export AR="%{sony_target_toolprefix}ar"
sed -i -e 's/$(MOD_DEPTH)\/config\/$(OBJDIR_NAME)\/nsinstall/\/usr\/local\/arm-sony-linux-gnueabi\/host\/bin\/nsinstall/g' configure.in
sed -i -e 's/$(MOD_DEPTH)\/config\/$(OBJDIR_NAME)\/nsinstall/\/usr\/local\/arm-sony-linux-gnueabi\/host\/bin\/nsinstall/g' configure
%sony_target_dev_configure --prefix=/usr --exec-prefix= --libdir=/usr/lib \
 --includedir=%{sony_target_dev_include_dir} --disable-nls

make

%install
%sony_target_dev_setup
rm -rf %{buildroot}
%sony_target_dev_makeinstall

%demangle_libtool
# 6.x
mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}`; do
    case $l in
        *.a|pkgconfig)
          mkdir -p %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          mv %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l \
             %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}
          ;;
    esac
done
for l in `ls %{buildroot}%{sony_target_dir}%{sony_target_devtool_lib_dir}`; do
    if [ "$l" != "optinfo" -a "$l" != "optinfo" ]; then
      ln -s ../..%{sony_target_devtool_lib_dir}/$l \
	%{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/$l
   fi
done
rm -rf %{buildroot}%{sony_target_dir}%{sony_target_dev_lib_dir}/pkgconfig

%clean
rm -rf %{buildroot}

%files -n %{pkgname}
%defattr(-,root,root)
%{sony_target_dir}%{sony_target_dev_dir}/bin/*
%{sony_target_dir}%{sony_target_dev_lib_dir}/*
%{sony_target_dir}%{sony_target_dev_include_dir}/*
%{sony_target_dir}%{sony_target_devtool_lib_dir}/*
%{sony_target_dir}%{sony_target_dev_sharedstate_dir}/*

%changelog
* Thu Dec 12 2019 Sony Corporation 
- Fixed .pc files installation path.

* Mon May 20 2019 Sony Corporation
- Initial build for CE-Linux-14.1.0.x.
